import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { SystemParams } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-09-02 11:01
 */
interface SystemParamsCU extends ConditionUtil<SystemParamsCU> {
    ID: FieldUtil<SystemParamsCU>;
    PARAM_NAME: FieldUtil<SystemParamsCU>;
    PARAM_VALUE: FieldUtil<SystemParamsCU>;
    REMARK: FieldUtil<SystemParamsCU>;
}
declare class SystemParamsMU extends TableUtilImpl<SystemParamsCU, SystemParams> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): SystemParamsCU;
    static get ID(): FieldUtil<SystemParamsCU>;
    static get PARAM_NAME(): FieldUtil<SystemParamsCU>;
    static get PARAM_VALUE(): FieldUtil<SystemParamsCU>;
    static get REMARK(): FieldUtil<SystemParamsCU>;
    get ID(): FieldUtil<SystemParamsCU>;
    get PARAM_NAME(): FieldUtil<SystemParamsCU>;
    get PARAM_VALUE(): FieldUtil<SystemParamsCU>;
    get REMARK(): FieldUtil<SystemParamsCU>;
}
export { SystemParamsMU, SystemParamsCU };
